Package org.opensaml.saml.saml2.core.impl

# Class LogoutResponseUnmarshaller

java.lang.Object
org.opensaml.core.xml.io.AbstractXMLObjectUnmarshaller
org.opensaml.saml.common.AbstractSAMLObjectUnmarshaller
org.opensaml.saml.saml2.core.impl.StatusResponseTypeUnmarshaller
org.opensaml.saml.saml2.core.impl.LogoutResponseUnmarshaller

All Implemented Interfaces:
  `Unmarshaller`

public class LogoutResponseUnmarshaller extends StatusResponseTypeUnmarshaller
A thread-safe Unmarshaller for `LogoutResponse` objects.

## Field Summary

### Fields inherited from class org.opensaml.core.xml.io.AbstractXMLObjectUnmarshaller

`CONFIG_PROPERTY_XML_STRICT_MODE`

## Constructor Summary

Constructors
Constructor
Description
`LogoutResponseUnmarshaller()`

## Method Summary

### Methods inherited from class org.opensaml.saml.saml2.core.impl.StatusResponseTypeUnmarshaller

`processAttribute, processChildElement`

### Methods inherited from class org.opensaml.saml.common.AbstractSAMLObjectUnmarshaller

`parseSAMLVersion`

### Methods inherited from class org.opensaml.core.xml.io.AbstractXMLObjectUnmarshaller

`buildXMLObject, checkIDAttribute, processElementContent, processUnknownAttribute, unmarshall, unmarshallAttribute, unmarshallChildElement, unmarshallNamespaceAttribute, unmarshallSchemaInstanceAttributes, unmarshallTextContent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LogoutResponseUnmarshaller

public LogoutResponseUnmarshaller()